/* logarithm.c
 * part of Math Utilities
 * Copyright (C) 2003 Nathan W. Johnson */
#include <stdio.h>
#include <math.h>

int main(int argc, char *argv[])
{
	int base = 2, num = 1;
	double result = 0.0;

	if (argc < 3)
	{
		printf("Usage: %s BASE NUMBER\n", argv[0]);
		printf("Version: 0.2\n");
		return 1;
	}

	base = atoi(argv[1]);
	num = atoi(argv[2]);

	result = log10(num) / log10(base);
	printf("log%d(%d) = %f\n", base, num, result);

	return 0;
}
